<template>
  <section class="container">
    <div class="row">
      <div class="col col-md-4 offset-md-4">
        <div class="login-page">
          <h2 class="text-center mb-3">Enter your name</h2>
          <b-form @submit="onSubmit">
            <b-input-group class="mt-3">
              <b-form-input v-model="name"></b-form-input>
              <b-input-group-append>
                <b-button type="submit" variant="success">Enter</b-button>
              </b-input-group-append>
            </b-input-group>
          </b-form>
        </div>
      </div>
    </div>
  </section>
</template>

<script>
import { mapActions } from 'vuex';
export default {
  data() {
    return {
      name: ''
    }
  },
  methods: {
    ...mapActions({
      setUser: 'user/setUser'
    }),
    onSubmit(e) {
      e.preventDefault();
      this.setUser(this.name).then( () => {
        this.$router.push('/chat');
      });
    },
  }
}
</script>
